Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2
Class GlacierContinuation

    java.lang.Object
      rice.p2p.glacier.v2.GlacierContinuation

    public abstract class GlacierContinuation

extends java.lang.Object

Field Summary
`protected int` | `myUID`
`protected boolean` | `terminated`

Constructor Summary
`GlacierContinuation()`

Method Summary
`int` | `getMyUID()`
`abstract long` | `getTimeout()`
`boolean` | `hasTerminated()`
`void` | `init()`
`abstract void` | `receiveException(java.lang.Exception exception)`
`abstract void` | `receiveResult(java.lang.Object result)`
`void` | `setup(int uid)`
`void` | `syncReceiveException(java.lang.Exception exception)`
`void` | `syncReceiveResult(java.lang.Object result)`
`void` | `syncTimeoutExpired()`
`void` | `terminate()`
`abstract void` | `timeoutExpired()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myUID

    protected int myUID

### terminated

    protected boolean terminated

Constructor Detail

### GlacierContinuation

    public GlacierContinuation()

Method Detail

### receiveResult

    public abstract void receiveResult(java.lang.Object result)

### receiveException

    public abstract void receiveException(java.lang.Exception exception)

### timeoutExpired

    public abstract void timeoutExpired()

### getTimeout

    public abstract long getTimeout()

### init

    public void init()

### syncReceiveResult

    public void syncReceiveResult(java.lang.Object result)

### syncReceiveException

    public void syncReceiveException(java.lang.Exception exception)

### syncTimeoutExpired

    public void syncTimeoutExpired()

### setup

    public void setup(int uid)

### getMyUID

    public int getMyUID()

### hasTerminated

    public boolean hasTerminated()

### terminate

    public void terminate()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.